%layout-navigation__text {
    cursor: pointer;
    color: #333333;
    font-size: 24px;
    font-weight: 600;
    text-transform: capitalize;
    border-bottom: 5px solid transparent;
    width: fit-content;

    @include for-size(phone) {
        font-size: 16px;
    }

    &:hover {
        color: #FC777A;
    }
}

%layout-navigation__text--active {
    @extend %layout-navigation__text;
    color: #FC777A;
    border-bottom: 5px solid #F7D1BE;
}

.layout {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}


.layout__header {
    z-index: 90;
    display: flex;
    padding: 18px 62px;
    position: absolute;
    width: 100%;

    &__menu-btn {
        display: none;
    }

    @include for-size(phone) {
        padding: 0;
        flex-direction: column;

        &__menu-btn {
            display: flex;
            padding: 12px;
            background-color: #fff;
            box-shadow: 0px 5px 5px -5px rgba(0, 0, 0, 0.75);
        }
    }

    &__navigations {
        display: flex;
        width: 100%;

        >a:first-child {
            margin-right: auto;
        }

        >a:not(:last-child):not(:first-child) {
            margin-right: 32px;
        }

        @include for-size(phone) {
            display: flex;
            flex-direction: column;
            padding: 12px;
            background-color: #fff;
            box-shadow: 0px 5px 5px -5px rgba(0, 0, 0, 0.75);
        }
    }

    &__navigation {
        @extend %layout-navigation__text;

        &--home {
            img {
                width: 31px;
                height: 31px;

                @include for-size(phone) {
                    display: none;
                }
            }

            @include for-size(phone) {
                &:after {
                    content: 'Home';
                }
            }

        }
    }

    &__navigation--active {
        @extend %layout-navigation__text--active;
    }
}

.layout__header--scrolled {
    width: 100%;
    top: 0;
    position: fixed;
    background-color: #ffffff;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
    z-index: 99;
    padding: 18px 62px;

    @include for-size(tablet) {
        padding: 0px;
    }

}

.layout__main {
    flex-grow: 1;
}